#!/bin/bash
# Create Cordova/PhoneGap project for import in Eclipse
# Not affiliated with Cordova or PhoneGap 
# Our internal use only. 
# libs/android-support-v4.jar might prevent distribution
# Copyright 2012 Tero Karvinen http://TeroKarvinen.com

if [ -z $2 ]; then
	echo "Usage: newCordovaProject.sh com.example.myapp MyApp"
	exit 1
fi

PACKAGE=$1
NAME=$2

cp -ri HelloCordova/ "$NAME"
cd "$NAME"

find -type f -exec perl -p -i -e "s/com.terokarvinen.cordova.tutorial/$PACKAGE/" "{}" \;
find -type f -exec perl -p -i -e "s/Cordova Tutorial from TeroKarvinen.com/$NAME/" "{}" \;

PDIRS=$(echo $PACKAGE|tr '.' '/')
mkdir -p src/$PDIRS
mv src/com/terokarvinen/cordova/tutorial/MainActivity.java src/$PDIRS/
rm -r src/com/terokarvinen/

echo "Created new Cordova project '$NAME'. "
echo "In Eclipse, File: Import... Android, Existing Android Code Into Workspace. "
echo "Done. "

